fn main() {
    let bindings = bindgen::Builder::default()
        .header("rfactor_plugin/InternalsPlugin.hpp")
        .blocklist_file("/usr/include.*")
        .ignore_functions()
        .layout_tests(false)
        .blocklist_item("_GLIBC:*")
        .blocklist_type("std_.*")
        .generate()
        .expect("Unable to create rfactor structs");

    bindings
        .write_to_file("src/rfactor_structs.rs")
        .expect("Failed to write rfactor bindings");
}
